Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.transform.shape
Class TransformingPluggableRenderer

    java.lang.Object
      edu.uci.ics.jung.visualization.transform.shape.PluggableRendererDecorator
          edu.uci.ics.jung.visualization.transform.shape.TransformingPluggableRenderer

All Implemented Interfaces:
  HasShapeFunctions, PickedInfo, Renderer

public class TransformingPluggableRenderer
extends PluggableRendererDecorator

a subclass to apply a TransformingGraphics to certain operations

Author:
  Tom Nelson - RABA Technologies

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.transform.shape.PluggableRendererDecorator
`delegate`

Constructor Summary
`TransformingPluggableRenderer(PluggableRenderer delegate)` create an instance

Method Summary
`protected void` | `drawSimpleEdge(Graphics2D g, Edge e, int x1, int y1, int x2, int y2)` (non-Javadoc) override to wrap the passed Graphics2D in my TransformingGraphics, then call overloaded drawSimpleEdge
`protected void` | `drawSimpleEdge(TransformingGraphics g, Edge e, int x1, int y1, int x2, int y2)` overloaded to use TransformingGraphics
`Transformer` | `getTransformer()`
`protected void` | `labelEdge(Graphics2D g2d, Edge e, String label, int x1, int x2, int y1, int y2)` overridden to wrap passed Graphics2D in my TransformingGraphics, then call overloaded labelEdge
`protected void` | `labelEdge(TransformingGraphics g2d, Edge e, String label, int x1, int x2, int y1, int y2)` overloaded to use TransformingGraphics
`protected void` | `labelVertex(Graphics g, Vertex v, String label, int x, int y)` overridden to wrap passed Graphics in my TransformingGraphics, then call overloaded labelVertex
`protected void` | `labelVertex(TransformingGraphics g, Vertex v, String label, int x, int y)` overloaded to use TransformingGraphics
`void` | `paintEdge(Graphics g, Edge e, int x1, int y1, int x2, int y2)` overridded to wrap passed Graphics in TransformingGraphics then call overloaded paintEdge
`void` | `paintEdge(TransformingGraphics g2d, Edge e, int x1, int y1, int x2, int y2)` overloaded to use TransformingGraphics
`void` | `paintIconForVertex(TransformingGraphics g, Icon icon, int x, int y)`
`protected void` | `paintShapeForVertex(TransformingGraphics g2d, Vertex v, Shape shape)`
`void` | `paintVertex(Graphics g, Vertex v, int x, int y)` overridden to wrap passed Graphics in TransformingGraphics then call overloaded paintVertex
`void` | `paintVertex(TransformingGraphics g2d, Vertex v, int x, int y)` overloaded to use TransformingGraphics
`void` | `setTransformer(Transformer transformer)`

Methods inherited from class edu.uci.ics.jung.visualization.transform.shape.PluggableRendererDecorator
`equals, getArrowTransform, getArrowTransform, getDelegate, getEdgeArrowFunction, getEdgeArrowPredicate, getEdgeFontFunction, getEdgeIncludePredicate, getEdgeLabelClosenessFunction, getEdgePaintFunction, getEdgeShapeFunction, getEdgeStringer, getEdgeStrokeFunction, getGraphLabelRenderer, getParallelEdgeIndexFunction, getPickedKey, getRendererPane, getReverseArrowTransform, getReverseArrowTransform, getScreenDevice, getVertexFontFunction, getVertexIconFunction, getVertexIncludePredicate, getVertexLabelCentering, getVertexPaintFunction, getVertexShapeFunction, getVertexStringer, getVertexStrokeFunction, hashCode, isPicked, isPicked, paintIconForVertex, paintShapeForVertex, prepareRenderer, prepareRenderer, setArrowPlacementTolerance, setDelegate, setEdgeArrowFunction, setEdgeArrowPredicate, setEdgeColorFunction, setEdgeFontFunction, setEdgeIncludePredicate, setEdgeLabelClosenessFunction, setEdgePaintFunction, setEdgeShapeFunction, setEdgeStringer, setEdgeStrokeFunction, setGraphLabelRenderer, setParallelEdgeIndexFunction, setPickedKey, setRendererPane, setScreenDevice, setVertexColorFunction, setVertexFontFunction, setVertexIconFunction, setVertexIncludePredicate, setVertexLabelCentering, setVertexPaintFunction, setVertexShapeFunction, setVertexStringer, setVertexStrokeFunction, setViewTransformer, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformingPluggableRenderer

    public TransformingPluggableRenderer(PluggableRenderer delegate)

  create an instance

Method Detail

### getTransformer

    public Transformer getTransformer()

  Returns:
    Returns the transformer.

### setTransformer

    public void setTransformer(Transformer transformer)

  Parameters:
    `transformer` - The transformer to set.

### drawSimpleEdge

    protected void drawSimpleEdge(Graphics2D g,
                                  Edge e,
                                  int x1,
                                  int y1,
                                  int x2,
                                  int y2)

  (non-Javadoc) override to wrap the passed Graphics2D in my TransformingGraphics, then call overloaded drawSimpleEdge

### drawSimpleEdge

    protected void drawSimpleEdge(TransformingGraphics g,
                                  Edge e,
                                  int x1,
                                  int y1,
                                  int x2,
                                  int y2)

  overloaded to use TransformingGraphics

  Parameters:
    `g` -
    `e` -
    `x1` -
    `y1` -
    `x2` -
    `y2` -

### labelEdge

    protected void labelEdge(Graphics2D g2d,
                             Edge e,
                             String label,
                             int x1,
                             int x2,
                             int y1,
                             int y2)

  overridden to wrap passed Graphics2D in my TransformingGraphics, then call overloaded labelEdge

### labelEdge

    protected void labelEdge(TransformingGraphics g2d,
                             Edge e,
                             String label,
                             int x1,
                             int x2,
                             int y1,
                             int y2)

  overloaded to use TransformingGraphics

  Parameters:
    `g2d` -
    `e` -
    `label` -
    `x1` -
    `x2` -
    `y1` -
    `y2` -

### labelVertex

    protected void labelVertex(Graphics g,
                               Vertex v,
                               String label,
                               int x,
                               int y)

  overridden to wrap passed Graphics in my TransformingGraphics, then call overloaded labelVertex

### labelVertex

    protected void labelVertex(TransformingGraphics g,
                               Vertex v,
                               String label,
                               int x,
                               int y)

  overloaded to use TransformingGraphics

  Parameters:
    `g` -
    `v` -
    `label` -
    `x` -
    `y` -

### paintEdge

    public void paintEdge(Graphics g,
                          Edge e,
                          int x1,
                          int y1,
                          int x2,
                          int y2)

  overridded to wrap passed Graphics in TransformingGraphics then call overloaded paintEdge

  Specified by:
    `paintEdge` in interface `Renderer`
  Overrides:
    `paintEdge` in class `PluggableRendererDecorator`

### paintEdge

    public void paintEdge(TransformingGraphics g2d,
                          Edge e,
                          int x1,
                          int y1,
                          int x2,
                          int y2)

  overloaded to use TransformingGraphics

  Parameters:
    `g2d` -
    `e` -
    `x1` -
    `y1` -
    `x2` -
    `y2` -

### paintVertex

    public void paintVertex(Graphics g,
                            Vertex v,
                            int x,
                            int y)

  overridden to wrap passed Graphics in TransformingGraphics then call overloaded paintVertex

  Specified by:
    `paintVertex` in interface `Renderer`
  Overrides:
    `paintVertex` in class `PluggableRendererDecorator`

### paintVertex

    public void paintVertex(TransformingGraphics g2d,
                            Vertex v,
                            int x,
                            int y)

  overloaded to use TransformingGraphics

  Parameters:
    `g2d` -
    `v` -
    `x` -
    `y` -

### paintShapeForVertex

    protected void paintShapeForVertex(TransformingGraphics g2d,
                                       Vertex v,
                                       Shape shape)

### paintIconForVertex

    public void paintIconForVertex(TransformingGraphics g,
                                   Icon icon,
                                   int x,
                                   int y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD